/*
 * $Id: conf_erase.c,v 1.1 2002/03/17 21:00:55 flv Exp $
 *
 * Copyright (C) 2001, 2002 Flavio de Ayra Mendes <h4@locked.org>
 */

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include "config_api.h"

int main(int argc, char **argv)
{
	config_t conf;
	char temp[1024];

	if (argc < 2 || argc > 3) {
		fprintf(stderr, "use: %s <section> [option]\n", *argv);
		exit(-1);
	}
	
	memset(temp, 0, sizeof(temp));
	if (!config_open(&conf, "sample.conf", C_READ|C_WRITE)) {
		fprintf(stderr, "error config_open()\n");
		exit(-1);
	}

	if (!config_check(&conf, 1))
		exit(-1);

	if (!config_erase(&conf, argv[1], (argc == 3 ? argv[2] : NULL))) {
		fprintf(stderr, "error config_erase()\n");
		exit(-1);
	}

	config_close(&conf);

	return 0;
}
